> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/server-plugins/ai/searchresult.md).

# SearchResult

## Overview

SearchResult represents a single result from an embedding similarity search.\
Contains the similarity score, matched text, and associated metadata.

## Methods Summarized

| Type                                                     | Name                          | Summary                                                          |
| -------------------------------------------------------- | ----------------------------- | ---------------------------------------------------------------- |
| [Object](/reference/servoycore/dev-api/js-lib/object.md) | [getMetadata()](#getmetadata) | Returns the metadata associated with this result as a JS Object. |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [getScore()](#getscore)       | Returns the similarity score for this result.                    |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [getText()](#gettext)         | Returns the matched text for this result.                        |

## Methods Detailed

### getMetadata()

Returns the metadata associated with this result as a JS Object.

**Returns:** [Object](/reference/servoycore/dev-api/js-lib/object.md) The metadata object.

### getScore()

Returns the similarity score for this result.

**Returns:** [Number](/reference/servoycore/dev-api/js-lib/number.md) The similarity score.

### getText()

Returns the matched text for this result.

**Returns:** [String](/reference/servoycore/dev-api/js-lib/string.md) The matched text.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/server-plugins/ai/searchresult.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
